package com.InitialImmortal.initial.event;

import com.InitialImmortal.initial.client.gui.HudGui;
import net.minecraft.client.Minecraft;
import net.minecraftforge.client.event.RenderGameOverlayEvent;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.fml.common.Mod.EventBusSubscriber;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@EventBusSubscriber
public class RenderGui {
    static Minecraft mc = Minecraft.getMinecraft();
    static HudGui hudGui = new HudGui(mc);

    @SideOnly(Side.CLIENT)
    @SubscribeEvent
    public static void onRenderGui(RenderGameOverlayEvent event) {
        if (mc.gameSettings.thirdPersonView == 0) {
            switch (event.getType()) {
                case HEALTH:
                    event.setCanceled(true);
                    break;
                case ALL:
                    hudGui.draw();
            }
        } 
    }
}